#include <stdio.h>

int main () {

	int n, i, j;

	scanf("%i", &n);

	if (n <= 0){
		printf("-1\n");
		return 1;
	}

	for (i = 1; i <= n; i++){

		for (j = 1; j <= n; j++){

			if (j < i)
				printf(" ");
			else if (j == i)
				printf("*");
			else if (j > i)
				printf("-*");
		}
		printf("\n");
	}
	return 0;

}
